Connection to SNiFF+

pi_init
SYNOPSIS

pi_bool | pi_init(pi_bool remoteParser, char *parserId);

PARAMETER

remoteParser: | FALSE - The parser and SNiFF+ are running on the same machine
| TRUE - The parser is running on a different machine than SNiFF+.
char *parserId: | A string that identifies the parser to SNiFF+. It must be the basename of the parser executable without extension (e.g., for the executable /usr/local/sniff/bin/myparser or c:\coolstuff\myparser.exe , the parserid is the string myparser ).

DESCRIPTION
Establishes a connection to SNiFF+. This function must be called once at parser start-up time before all other API function calls.
RETURN VALUE

FALSE | Connection to SNiFF+ successfully established
TRUE | Cannot connect to SNiFF+